You are not logged in.

#1 2009-12-23 07:11:31

Tapan
Member
Registered: 2009-12-07
Posts: 9

[SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

Upgrade mesa (7.6-2 -> 7.6.1-1), libgl (7.6-2 -> 7.6.1-1), libgl (7.6-2 -> 7.6.1-1) and ati-dri (7.6-2 -> 7.6.1-1) from testing broke my resolution in KDE - X start only with vesa driver.
I don't use xorg.conf, kernel is kernel26 2.6.32.2-1 from testing, KMS disabled (don't work with this kernel)
/var/log/Xorg.0.log:

...
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
dlopen: libdrm_radeon.so.1: cannot open shared object file: No such file or directory
(EE) Failed to load /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) UnloadModule: "radeon"
(EE) Failed to load module "radeon" (loader failed, 7)
(II) LoadModule: "vesa"
...

Compiling xf86-video-ati-git (20091223-1) solve this problem

Last edited by Tapan (2009-12-23 14:19:23)

Offline

#2 2009-12-23 08:24:30

ugaciaka
Member
From: Italy
Registered: 2008-07-06
Posts: 140
Website

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

I have kernel 2.6.31-ARCH, nothing testing repository but in my

grep EE  /var/log/Xorg.0.log
Current Operating System: Linux skynet 2.6.31-ARCH #1 SMP PREEMPT Tue Nov 10 19:01:40 CET 2009 x86_64
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) Failed to load module "fbdev" (module does not exist, 0)
(EE) RADEON(0): [dri] RADEONDRIGetVersion failed because of a version mismatch.
(EE) Microsoft Comfort Curve Keyboard 2000: failed to initialize for relative axes.

and, for example, switch for different desktop is very slow. Also maximized windows is very slow (I'm using xfce with compositing)


I have never bought on ebay, the macbook I do not like, I do not need facebook or myspace or secondlife
I am not a nerd or lamer or troll or geek or hacker or cracker
and I have never voted to elect berlusconi

Offline

#3 2009-12-23 08:37:27

Maxa
Member
Registered: 2008-11-30
Posts: 31

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

Tapan wrote:

Compiling xf86-video-ati-git (20091223-1) solve this problem

Exactly same error output, but looks like it solved by rebuilding xf86-video-ati (6.12.99.git20091221-1). No other actions needed

Edit: I have KMS disabled and use Radeon HD 4200 (RV620)

Last edited by Maxa (2009-12-23 08:42:30)

Offline

#4 2009-12-23 10:03:43

AndyRTR
Developer
From: Magdeburg/Germany
Registered: 2005-10-07
Posts: 1,640

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

Downgrade using pacman -S extra/xf86-video-ati. We just droppen all git and experimental based Ati related packages. See threads on the public devel ML.

Offline

#5 2009-12-23 12:33:44

abraxas88
Member
From: Cosenza, Italy
Registered: 2009-12-12
Posts: 87

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

I get

(EE) RADEON(0): [dri] RADEONDRIGetVersion failed because of a version mismatch.

too... I guess it's an ati-dri error

Last edited by abraxas88 (2009-12-23 12:34:05)


Asus G53Jw-IX160V Intel Core i7 740M 1.73 GHz, 8 GB RAM DDR3 1333 MHz, nVidia GTX 460M 1.5 GB GDDR5. Arch Linux 64 bit, of course. wink

Offline

#6 2009-12-23 14:18:28

Tapan
Member
Registered: 2009-12-07
Posts: 9

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

AndyRTR wrote:

Downgrade using pacman -S extra/xf86-video-ati. We just droppen all git and experimental based Ati related packages. See threads on the public devel ML.

Works fine, thanks

Offline

#7 2009-12-23 18:16:05

firewalker
Member
From: Hellas (Greece).
Registered: 2006-06-05
Posts: 457

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

I also had some packets from testing. Now compositing does not work.

What packets should I downgrade?

I found xf86-video-ati-6.12.99.git20091207-1-i686.pkg.tar.gz. What else?


Γίνε ρεαλιστής, μείνε ονειροπόλος ...

Offline

#8 2009-12-23 18:36:05

AndyRTR
Developer
From: Magdeburg/Germany
Registered: 2005-10-07
Posts: 1,640

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

[andyrtr@laptop64 ~]$ pacman -Q libdrm mesa libgl ati-dri xf86-video-ati
libdrm 2.4.17-2
mesa 7.6.1-1
libgl 7.6.1-1
ati-dri 7.6.1-1
xf86-video-ati 6.12.4-2

That's what you should have on your system. That set has the old API back and is what we now support.

Offline

#9 2009-12-23 19:09:05

firewalker
Member
From: Hellas (Greece).
Registered: 2006-06-05
Posts: 457

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

The old API doesn't support compositing?


Γίνε ρεαλιστής, μείνε ονειροπόλος ...

Offline

#10 2009-12-24 09:01:46

AndyRTR
Developer
From: Magdeburg/Germany
Registered: 2005-10-07
Posts: 1,640

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

Make sure you disable KMS. Then all supported cards should have DRI(1) enabled.

Offline

#11 2009-12-24 11:30:55

firewalker
Member
From: Hellas (Greece).
Registered: 2006-06-05
Posts: 457

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

Unfortunately with the old packets compositing doesn't work for me (even with kms disabled). Can you please point to the discussion on the mailing list? Is there any time schedule for those packets?


Γίνε ρεαλιστής, μείνε ονειροπόλος ...

Offline

#12 2009-12-24 15:14:59

drcouzelis
Member
From: Connecticut, USA
Registered: 2009-11-09
Posts: 3,523
Website

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

The mailing list discussion starts here:

http://mailman.archlinux.org/pipermail/ … 14689.html

It doesn't look like there is a scheduled released date for mesa 7.7.

Offline

#13 2009-12-24 15:22:00

abraxas88
Member
From: Cosenza, Italy
Registered: 2009-12-12
Posts: 87

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

firewalker wrote:

Unfortunately with the old packets compositing doesn't work for me (even with kms disabled). Can you please point to the discussion on the mailing list? Is there any time schedule for those packets?

Same here, guys... I can't understand, it used to work fine with mesa 7.5 and kernel 2.6.31 and now everything is messed up.
All we have to do is wait.


Asus G53Jw-IX160V Intel Core i7 740M 1.73 GHz, 8 GB RAM DDR3 1333 MHz, nVidia GTX 460M 1.5 GB GDDR5. Arch Linux 64 bit, of course. wink

Offline

#14 2009-12-24 15:46:18

firewalker
Member
From: Hellas (Greece).
Registered: 2006-06-05
Posts: 457

Re: [SOLVED]Error with xf86-video-ati 6.12.99.git20091221-1 + mesa-7.6.1-1

drcouzelis wrote:

The mailing list discussion starts here:

http://mailman.archlinux.org/pipermail/ … 14689.html

It doesn't look like there is a scheduled released date for mesa 7.7.

Thanks m8.


Γίνε ρεαλιστής, μείνε ονειροπόλος ...

Offline

Board footer

Powered by FluxBB